# Interface methods for submodule: IsoContourDistanceImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: IsoContourDistanceImageFilter
class IsoContourDistanceImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetLevelSetValue(self, _arg: float) -> None:
		""""""
		...

	def GetLevelSetValue(self) -> float:
		""""""
		...

	def SetFarValue(self, _arg: float) -> None:
		""""""
		...

	def GetFarValue(self) -> float:
		""""""
		...

	def SetNarrowBanding(self, _arg: bool) -> None:
		""""""
		...

	def GetNarrowBanding(self) -> bool:
		""""""
		...

	def NarrowBandingOn(self) -> None:
		""""""
		...

	def NarrowBandingOff(self) -> None:
		""""""
		...

	def SetNarrowBand(self, ptr) -> None:
		""""""
		...

	def GetNarrowBand(self):
		""""""
		...

